Skip to main content
`Ctrl`+`K`

# PCMatGetApplyOperation

Get which matrix operation of the preconditioning matrix implements `PCApply()` for `PCMAT`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCMatGetApplyOperation(PC pc, MatOperation *matop)

Logically collective

## Input Parameter

- pc - An instance of `PCMAT`

## Output Parameter

- matop - The `MatOperation`

## See Also

KSP: Linear System Solvers, `PCMAT`, `PCMatSetApplyOperation()`, `PCApply()`, `MatOperation`

## Level

intermediate

## Location

src/ksp/pc/impls/mat/pcmat.c

## Implementations

PCMatGetApplyOperation_Mat() in src/ksp/pc/impls/mat/pcmat.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages